Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1

SUJET :

Problème installation linuxmint il y a 2 ans 10 mois #3973

  • TEC07
  • Portrait de TEC07 Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK1
  • COM_KUNENA_SAMPLEDATA_RANK1
  • Messages : 1
  • Remerciements reçus 0
Bonjour,
Je n'arrive pas à installer le logiciel, le processus s'arrête avec les erreurs ci dessous, j'ai déinstallé et réinstallé python3.5 et cela n'a rien changé. Merci pour votre aide !

Using cached files.pythonhosted.org/packages/3a/fb/eb.../PyQt5-5.14.1.tar.gz
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing wheel metadata ... error
ERROR: Command errored out with exit status 1:
command: /usr/bin/python3 /usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpkq2ij802
cwd: /tmp/pip-install-j4786a4g/PyQt5
Complete output (37 lines):
Querying qmake about your Qt installation...
/usr/bin/qmake -query
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py", line 103, in prepare_metadata_for_build_wheel
hook = backend.prepare_metadata_for_build_wheel
AttributeError: module 'sipbuild.api' has no attribute 'prepare_metadata_for_build_wheel'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py", line 257, in <module>
main()
File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py", line 240, in main
json_out = hook(**hook_input)
File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py", line 108, in prepare_metadata_for_build_wheel
config_settings)
File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py", line 136, in _get_wheel_metadata_from_wheel
whl_basename = backend.build_wheel(metadata_directory, config_settings)
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/sipbuild/api.py", line 51, in build_wheel
project = AbstractProject.bootstrap('pep517')
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/sipbuild/abstract_project.py", line 82, in bootstrap
project.setup(pyproject, tool, tool_description)
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/sipbuild/project.py", line 387, in setup
self.apply_user_defaults(tool)
File "project.py", line 62, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/pyqtbuild/project.py", line 86, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/sipbuild/project.py", line 202, in apply_user_defaults
self.builder.apply_user_defaults(tool)
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/pyqtbuild/builder.py", line 76, in apply_user_defaults
self._get_qt_configuration()
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/pyqtbuild/builder.py", line 431, in _get_qt_configuration
for line in project.read_command_pipe([self.qmake, '-query']):
File "/tmp/pip-build-env-_k3l7wbx/overlay/lib/python3.5/site-packages/sipbuild/project.py", line 350, in read_command_pipe
raise UserException("'{0}' failed returning {1}".format(cmd, rc))
sipbuild.exceptions.UserException
ERROR: Command errored out with exit status 1: /usr/bin/python3 /usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpkq2ij802 Check the logs for full command output.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Dernière édition: par lag.

Problème installation linuxmint il y a 2 ans 10 mois #3980

  • lag
  • Portrait de lag
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • Messages : 1914
  • Karma: 8
  • Remerciements reçus 463
Bonjour,

Vous utilisez quelle version de Linux Mint ?
Moi, je suis sur la 19.2 (la dernière est la 19.3) et je n'ai aucun souci d'installation.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Principale contributeur (Développeur) à Diacamma
Administrateur de Sleto partenaire officiel de Diacamma : support et hébergement en ligne.
  • Page :
  • 1
Temps de génération de la page : 0.036 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous rechercher du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel